> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Get Super Admin's Assigned Companies

GET https://api-b2b.bigcommerce.com/api/v3/io/super-admins/{superAdminId}/companies

Lists all Companies assigned to the Super Admin account associated with `superAdminId`. The response will contain limited information about each Company, but more information is available through the B2B Edition Companies API endpoints (see [Company Management](/developer/api-reference/rest/b2b/management/company/companies) or [Companies and Users](/developer/api-reference/rest/b2b/storefront/company/companies) for more information).

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/b2b/management/super-admin/get-super-admins-super-admin-id-companies

## Authentication

- `X-Auth-Token` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
- `X-Store-Hash` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

## Request

### Path parameters

- `superAdminId` (integer, required) — The unique ID of the Super Admin account. Does **not** match the BigCommerce customer account ID.

### Query parameters

- `limit` (integer, optional, default: 10) — Maximum number of entries to return per page of results.
- `offset` (integer, optional, default: 0) — The number of entries to skip before returning the current page of results.

## Response

### 200

SUCCESS

- `code` (integer, optional, default: 200)
- `data` (list of companyCore, optional)
- `meta` (SuperAdminsSuperAdminIdCompaniesGetResponsesContentApplicationJsonSchemaMeta, optional)

## Errors

### 404 Not Found Error

NOT FOUND

- `code` (integer, optional, default: 404)
- `data` (SuperAdminsSuperAdminIdCompaniesGetResponsesContentApplicationJsonSchemaData, optional)
- `meta` (SuperAdminsSuperAdminIdCompaniesGetResponsesContentApplicationJsonSchemaMeta, optional)

## Types

### companyCore

- `companyId` (integer, optional) — The unique numeric ID of a Company account.
- `companyName` (string, optional) — The name of the business associated with the Company account.
- `companyEmail` (string, optional) — The primary email address for the Company account.

### SuperAdminsSuperAdminIdCompaniesGetResponsesContentApplicationJsonSchemaMeta

- `message` (string, optional, default: The ID provided does not match an available resource of the appropriate type.)

### SuperAdminsSuperAdminIdCompaniesGetResponsesContentApplicationJsonSchemaData

## Examples

**Response**

```json
{
  "code": 200,
  "data": [
    {
      "companyId": 123456,
      "companyName": "Great Buys Inc.",
      "companyEmail": "admin@greatbuys.com"
    }
  ],
  "meta": {
    "message": "Success",
    "pagination": {
      "limit": 10,
      "offset": 0,
      "totalCount": 789
    }
  }
}
```

**SDK Code**

```python
import requests

url = "https://api-b2b.bigcommerce.com/api/v3/io/super-admins/11/companies"

headers = {"X-Auth-Token": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api-b2b.bigcommerce.com/api/v3/io/super-admins/11/companies';
const options = {method: 'GET', headers: {'X-Auth-Token': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api-b2b.bigcommerce.com/api/v3/io/super-admins/11/companies"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api-b2b.bigcommerce.com/api/v3/io/super-admins/11/companies")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Auth-Token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api-b2b.bigcommerce.com/api/v3/io/super-admins/11/companies")
  .header("X-Auth-Token", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api-b2b.bigcommerce.com/api/v3/io/super-admins/11/companies', [
  'headers' => [
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api-b2b.bigcommerce.com/api/v3/io/super-admins/11/companies");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Auth-Token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["X-Auth-Token": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-b2b.bigcommerce.com/api/v3/io/super-admins/11/companies")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```